﻿using System;
using System.ServiceModel;
using System.ServiceModel.Description;

namespace WCF_Contract_Sample_Service
{
    [ServiceContract]
    public interface ICalculator
    {
        [OperationContract(IsOneWay=false )]
        double Add(double x, double y);
    }
    public class CalculatorService : ICalculator 
    {
        public double Add(double x, double y) 
        {
            return x + y;
        }
    }
    class Program
    {
        static void Main(string[] args)
        {
            //Uri uri = new Uri("http://localhost:8010/ServiceModelSample/service");
            ServiceHost sh = new ServiceHost(typeof(CalculatorService));
            //sh.AddServiceEndpoint(typeof(ICalculator), new WSHttpBinding(), "CalculatorService");
            //***下面这段代码创建元数据行为实例，用于svcutil工具生成客户端代理及配置文件用
            //ServiceMetadataBehavior smb = new ServiceMetadataBehavior();
            //smb.HttpGetEnabled = true;
            //sh.Description.Behaviors.Add(smb);
            //***
            sh.Open();
            Console.WriteLine("The service is ready.");
            Console.WriteLine("Press <ENTER> to terminate service.");
            Console.WriteLine();
            Console.ReadLine();
            sh.Close();
        }
    }
}
